%define module_name Yandex-Geo
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Class/Tiny.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Slurp.pm) perl(Geo/JSON.pm) perl(JSON/XS.pm) perl(LWP/UserAgent.pm) perl(Test/More.pm) perl(URI.pm) perl(URI/Escape.pm) perl(strict.pm) perl(utf8.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.07
Release: alt1
Summary: Performs queries using Yandex Maps Company Search API
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PA/PAVELSR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Implements Yandex Maps Company Search API 

https://tech.yandex.ru/maps/geosearch/

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc CHANGES README.md LICENSE
%perl_vendor_privlib/Y*

%changelog
* Sat Aug 25 2018 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1
- regenerated from template by package builder

* Fri Jul 27 2018 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

